# $Revision: 1.12 $, $Date: 2002/11/14 09:43:20 $
%include	/usr/lib/rpm/macros.php
%define		_class		DBA
%define		_pearname	%{_class}
Summary:	%{_pearname} - Berkely-style Database Class
Summary(pl):	%{_pearname} - klasa bazy danych w stylu Berkely
Name:		php-pear-%{_pearname}
Version:	0.9.5
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implements a DBM-style database using either PHP's DBA functions or a
simple DBM class written in PHP. Also provides a relational database
system with support for selects, joins, sorts, projects, multiple
tables, type checking, autoincrements and more.

%description -l pl
Implementacja bazy danych w stylu DBM, uywajcej PHP-owych funkcji
DBA lub prostych klas DBM napisanych w PHP. Dostarcza take relacyjny
system bazo-danowy z supportem do funkcji select, join, sort, project,
wielu tablic, sprawdzania typw, autoinkrementacji itd.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Driver

install %{_class}-%{version}/%{_class}.php $RPM_BUILD_ROOT%{php_pear_dir}
install %{_class}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_class}-%{version}/%{_class}/Driver/* $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Driver

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_class}-%{version}/{tests,docs}/*
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/Driver
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Driver/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-DBA.spec,v $
Revision 1.12  2002/11/14 09:43:20  blues
- 0.9.5 - STBR

Revision 1.11  2002/10/14 23:38:33  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.10  2002/09/30 15:45:04  blues
- 0.9.4 - STBR

Revision 1.9  2002/09/26 06:17:14  blues
- 0.9.3 - next bugfix release these days :-/ - STBR

Revision 1.8  2002/09/25 21:21:36  blues
- 0.9.2 - another bugfix release today... - STBR

Revision 1.7  2002/09/25 07:33:10  blues
- 0.9.1 - fixed - STBR

Revision 1.6  2002/09/24 23:45:08  blues
- 0.9 - buggy release, waiting for new one (or some clear explanation)

Revision 1.5  2002/09/08 19:30:56  blues
- 0.18 - STBR

Revision 1.4  2002/09/07 05:58:46  blues
- fix in macros

Revision 1.3  2002/07/17 10:14:28  blues
- 0.17
- more classes - standarized package
STBR

Revision 1.2  2002/07/15 23:23:45  blues
- 0.16 (Warning: some API changes....)
STBR

Revision 1.1  2002/07/11 20:37:37  blues
- initial release

